---
title: DOMException.code
slug: Web/API/DOMException/code
tags:
  - API
  - Code
  - DOMException
  - Property
  - Reference
---
<p>{{ APIRef("DOM") }}</p>

<p>The <strong><code>code</code></strong> read-only property of the {{domxref("DOMException")}} interface returns a <code>short</code> that contains one of the <a href="/en-US/docs/Web/API/DOMException#Error_names">error code constants</a>, or <code>0</code> if none match. This field is used for historical reasons. New DOM exceptions don't use this anymore: they put this info in the {{domxref("DOMException.name")}} attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var domExceptionCode = domExceptionInstance.code;
</pre>

<h3 id="Value">Value</h3>

<p>A short number.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebIDL', '#dom-domexception-code', 'code')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.DOMException.code")}}</p>
